package ampliimp

import (
	"context"

	"github.com/tech/sendico/notification/internal/ampli"
	"github.com/tech/sendico/pkg/model"
)

func (a *AmplitudeAPI) onNotificationSent(_ context.Context, nresult *model.NotificationResult) error {
	ampli.Instance.EmailSent(
		nresult.UserID,
		ampli.EmailSent.Builder().Domain("").EmailType("").Build(),
	)
	return nil
}
